Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.emailFwd
Class EPPEmailFwdTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.emailFwd.EPPEmailFwdTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPEmailFwdTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.emailFwd package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.emailFwd package concrete `EPPCommand`'s and their expected `EPPResponse`. The unit test is dependent on the use of JUNIT 3.5
Change History: Modified test codes to accomdate the latest epp-emailFwd-05 protocol

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $

Constructor Summary
`EPPEmailFwdTst(java.lang.String name)` Creates a new EPPEmailFwdTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPEmailFwdMapFactory` with the `EPPCodec`.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPEmailFwdTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testEmailFwdCheck()` Unit test of `EPPEmailFwdCheckCmd`.
`void` | `testEmailFwdCreate()` Unit test of `EPPEmailFwdCreateCmd`.
`void` | `testEmailFwdDelete()` Unit test of `EPPEmailFwdDeleteCmd`.
`void` | `testEmailFwdInfo()` Unit test of `EPPEmailFwdInfoCmd`.
`void` | `testEmailFwdRenew()` Unit test of `EPPEmailFwdRenewCmd`.
`void` | `testEmailFwdTransfer()` Unit test of `EPPEmailFwdTransferCmd`.
`void` | `testEmailFwdUpate()` Unit test of `EPPEmailFwdUpdateCmd`.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEmailFwdTst

    public EPPEmailFwdTst(java.lang.String name)

  Creates a new EPPEmailFwdTst object.

  Parameters:
    `name` - DOCUMENT ME!

Method Detail

### testEmailFwdInfo

    public void testEmailFwdInfo()

  Unit test of `EPPEmailFwdInfoCmd`. The response to `EPPEmailFwdInfoCmd` is `EPPEmailFwdInfoResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testEmailFwdCreate

    public void testEmailFwdCreate()

  Unit test of `EPPEmailFwdCreateCmd`. The response to `EPPEmailFwdCreateCmd` is `EPPEmailFwdCreateResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testEmailFwdDelete

    public void testEmailFwdDelete()

  Unit test of `EPPEmailFwdDeleteCmd`. The response to `EPPEmailFwdDeleteCmd` is `EPPEmailFwdCreateResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testEmailFwdRenew

    public void testEmailFwdRenew()

  Unit test of `EPPEmailFwdRenewCmd`. The response to `EPPEmailFwdRenewCmd` is `EPPEmailFwdRenewResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testEmailFwdUpate

    public void testEmailFwdUpate()

  Unit test of `EPPEmailFwdUpdateCmd`. The response to `EPPEmailFwdUpdateCmd` is `EPPResponse`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### testEmailFwdTransfer

    public void testEmailFwdTransfer()

  Unit test of `EPPEmailFwdTransferCmd`. The response to `EPPEmailFwdTransferCmd` is `EPPEmailFwdTransferResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPEmailFwdMapFactory` with the `EPPCodec`.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPEmailFwdTst`.

  Returns:
    DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

### testEmailFwdCheck

    public void testEmailFwdCheck()

  Unit test of `EPPEmailFwdCheckCmd`. The response to `EPPEmailFwdCheckCmd` is `EPPEmailFwdCheckResp`.
  This test will be invoked by JUNIT, since it is prefixed with "test" and is a public method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.